FROM registry.codeocean.com/codeocean/miniconda3:4.5.11-python3.7-cuda9.2-cudnn7-ubuntu18.04

ARG DEBIAN_FRONTEND=noninteractive

RUN apt-get update \
    && apt-get install -y --no-install-recommends \
      "gfortran=4:7.3.0-3ubuntu2.1" \
    && rm -rf /var/lib/apt/lists/*

RUN conda install --yes \
      keras==2.2.4 \
      tensorflow-gpu==1.12.0 \
    && conda clean --yes --all
